package com.njzscloud.dispose.finance.controller;

import com.njzscloud.common.core.utils.R;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.dispose.finance.pojo.entity.ExpenseItemEntity;
import com.njzscloud.dispose.finance.pojo.param.AddExpenseItemParam;
import com.njzscloud.dispose.finance.pojo.param.ModifyExpenseItemParam;
import com.njzscloud.dispose.finance.service.ExpenseItemService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 收费项目
 * @author ljw
 */
@Slf4j
@RestController
@RequestMapping("/expense_item")
@RequiredArgsConstructor
public class ExpenseItemController {

    private final ExpenseItemService expenseItemService;

    /**
     * 新增
     */
    @PostMapping("/add")
    public R<?> add(@RequestBody AddExpenseItemParam addExpenseItemParam) {
        expenseItemService.add(addExpenseItemParam);
        return R.success();
    }

    /**
     * 修改
     */
    @PostMapping("/modify")
    public R<?> modify(@RequestBody ModifyExpenseItemParam modifyExpenseItemParam) {
        expenseItemService.modify(modifyExpenseItemParam);
        return R.success();
    }

    /**
     * 删除
     */
    @PostMapping("/del")
    public R<?> del(@RequestBody List<Long> ids) {
        expenseItemService.del(ids);
        return R.success();
    }

    /**
     * 详情
     */
    @GetMapping("/detail")
    public R<ExpenseItemEntity> detail(@RequestParam("id") Long id) {
        return R.success(expenseItemService.detail(id));
    }

    /**
     * 分页查询
     */
    @GetMapping("/paging")
    public R<PageResult<ExpenseItemEntity>> paging(PageParam pageParam, ExpenseItemEntity expenseItemEntity) {
        return R.success(expenseItemService.paging(pageParam, expenseItemEntity));
    }
}


